Additional confirmation of the withdrawal
When creating a withdrawal from the payment acceptance widget, a webhook will be sent to the URL specified to confirm the withdrawal when creating the widget.
The body of the webhook will indicate the user who requested the withdrawal, the requested amount, the requested coins and recalculation to the coin selected for withdrawal. You can confirm or reject the output sent by the corresponding value in the request
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
Auto-withdrawal ID
31569bcc-d1fb-43b2-909c-41ec8eefedb8approvebooleanRequired
The flag of approval (true) or rejection (false) of the withdrawal request
Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/auto-withdrawals/approve
POST /api-gateway/auto-withdrawals/approve HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"id": "31569bcc-d1fb-43b2-909c-41ec8eefedb8",
"approve": true
}200Success
{
"success": true,
"response": {
"id": "31569bcc-d1fb-43b2-909c-41ec8eefedb8",
"organizationId": "1246887b-f17d-46fa-acf9-43aac8df5ee2",
"type": "WITHDRAWAL",
"status": "PENDING",
"message": null,
"addressRiskLevel": "Low",
"currencyFrom": "USDT",
"networkFrom": "bsc",
"currencyTo": "BTC",
"networkTo": "bitcoin",
"addressFromId": "25a8de42-a359-47f1-bb82-bc9f6c20f1b9",
"addressFrom": "0xD65D24ABCd85165a243C33Cf8133ffBaaa98255D",
"addressTo": "0x22aECc7ff5b435E38be5457C8538256918783F67",
"amountFrom": "1000",
"amountFromUSD": "1000",
"amountTo": "0.1",
"amountToUSD": "990",
"amountToReceive": "0.999",
"rate": "10000",
"blockchainFeeFrom": "0.34",
"blockchainFeeFromUSD": "0.34",
"blockchainFeeToSource": "ADVANCED",
"blockchainFeeTo": "0.001",
"blockchainFeeToUSD": "10",
"serviceFee": "10",
"txId": "0xadcc95b8bcd123e41612c46b057df889e32a73297e973c21e8b38046ac04130a",
"webhookUrl": "https://merchant.domain/webhooks/...",
"approveUrl": "https://merchant.domain/webhooks/...",
"approveResult": {
"apiKey": {
"id": "448b3b0e-3ede-4ec3-9efa-dcaf3afc812f",
"public": "c9jeO7OJcJb7cnBTVXrgtRzazf60W4Lbsz3/wOYM1m2EsJyZz5wGfbIIuoJ4Ugs6HMowQj8zlv2jf8Vt1ra4Fw=="
},
"request": {
"ip": "123.231.123.100",
"userAgent": "axios/1.6.0"
},
"approve": true,
"time": "2026-01-29T11:16:59.941Z"
},
"requestedClientId": "0ac6a929-1118-49b1-bd88-ee8294459293",
"requestedCurrency": "EUR",
"requestedAmount": "5500",
"createdAt": "2026-01-29T11:16:59.941Z",
"updatedAt": "2026-01-29T11:16:59.941Z"
}
}Last updated